summaryrefslogtreecommitdiff
path: root/scripts/collect-coverage.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/collect-coverage.sh')
-rwxr-xr-xscripts/collect-coverage.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/collect-coverage.sh b/scripts/collect-coverage.sh
index 65f96a0b2b..0007eebd5b 100755
--- a/scripts/collect-coverage.sh
+++ b/scripts/collect-coverage.sh
@@ -3,6 +3,11 @@
set -e
set -o pipefail
+if [ -z ${ENABLE_COVERAGE} ] ; then
+ echo "ENABLE_COVERAGE environment variable is not set, aborting."
+ exit 1
+fi
+
function usage() {
echo "Error: LCOV and genhtml are required for generating coverage reports."
if [ `uname -s` = 'Linux' ]; then